{pkgs, ...}: {

  environment.systemPackages = with pkgs; [
    home-manager
    vim
    bat
    btop
    curl
    dig
    eza
    git
    htop
    fd
    fishPlugins.done
    fishPlugins.fzf-fish
    fishPlugins.forgit
    fzf
    lua
    ripgrep
    starship
    tmux
    wget
    whois
  ];

  programs.mtr.enable = true;

  # Set your time zone.
  time.timeZone = "America/Los_Angeles";

  # Shells
  programs.zsh.enable = true;
  programs.fish.enable = true;
  programs.ssh.startAgent = true;
  programs.ssh.askPassword = pkgs.lib.mkForce "${pkgs.ksshaskpass.out}/bin/ksshaskpass";

  # Allow unfree packages
  nixpkgs.config.allowUnfree = true;
}
