
{
  pkgs,
  ...
}  @ args: {

  imports = [
    ../base
    ./include/common.nix
    ./include/compat.nix
    ./include/i18n.nix
  ];

  # Enable networking
  networking.networkmanager.enable = true;
  services.openssh = {
    enable = true;
  };

  hardware.bluetooth.enable = true;
  hardware.bluetooth.powerOnBoot = true;


  # Enable the X11 windowing system.
  services.xserver.enable = true;

  # Enable the KDE Plasma Desktop Environment.
  services.xserver.displayManager.sddm.enable = true;
  services.desktopManager.plasma6.enable = true;
  services.xserver.desktopManager.gnome.enable = true;

  zramSwap.enable = true;

  # Enable CUPS to print documents.
  services.printing.enable = true;

  services.salt.minion.enable = true;
  services.salt.minion.configuration = {
    master = "salt.freelock.lan";
    location = [ "freelock" ];
  };

  # Enable sound with pipewire.
  sound.enable = true;
  hardware.pulseaudio.enable = false;
  security.rtkit.enable = true;
  services.pipewire = {
    enable = true;
    alsa.enable = true;
    alsa.support32Bit = true;
    pulse.enable = true;
    # If you want to use JACK applications, uncomment this
    #jack.enable = true;

    # use the example session manager (no others are packaged yet so this is enabled by default,
    # no need to redefine it in your config for now)
    #media-session.enable = true;
  };

  # Enable touchpad support (enabled default in most desktopManager).
  # services.xserver.libinput.enable = true;

  nixpkgs.config.permittedInsecurePackages = [
     "electron-25.9.0"
  ];

}
