{pkgs, ...}: {

  environment.systemPackages = with pkgs; [
    ddev
    jetbrains.phpstorm
    mkcert
    php81
    polypane
    vscode
  ];


  # DDev setup
  # Install & enable docker.
  virtualisation.docker.enable = true;

  # Allow Xdebug to use port 9003.
  networking.firewall.allowedTCPPorts = [ 9000 9003 ];

  # Make it possible for ddev to modify the /etc/hosts file.
  # Otherwise you'll have to manually change the
  # hosts configuration after creating a new ddev project.
  environment.etc.hosts.mode = "0644";

}
